<?php
date_default_timezone_set("Europe/Helsinki");
//ini_set('display_errors', '1');
//header("Content-Type: image/jpeg");
$camimg ="http://192.168.1.110/cgi-bin/viewer/video.jpg?resolution=800x600";
$font = "tahomabd.ttf";

$clientrawfile = "D:\WD\webfiles\clientraw.txt";
$crage = filemtime($clientrawfile);
$dataage = (time()-$crage);
$clientraw = get_raw($clientrawfile);

//for($i=0;$i<2;$i++) {
$image = imagecreatetruecolor(480,320);
$src = imagecreatefromjpeg($camimg);
imagecopyresampled($image, $src, 0, 0, 0, 0, 480, 320, 800, 600);

$shade = imagecolorallocatealpha($image,0,0,0,50);
imagefilledrectangle($image,0,305,480,320,$shade);

$greyish = imagecolorallocatealpha($image,254,254,254,115);
$grey = imagecolorallocatealpha($image,200,200,200,25);

$name = "nordicweather.net";
imagettftext($image, 8, 0, 357, 316, $grey, $font, $name);

$time = date('d.m.Y H:i T');
imagettftext($image, 8, 0, 5, 316, $grey, $font, $time);

$directory = "timelapse/";


$ti = date('Hi');
if($ti < '0002'){
foreach(glob($directory.'*.*') as $v){
  unlink($v);
}
}


 $filecount = count(glob($directory.'*.jpg'));
 if($filecount == ''){$filecount = 0;}
 $out = 'timelapse/cam'.($filecount+1).'.jpg';


imagejpeg($image,$out,90);
imagedestroy($image);



function fixdesc( $str ) {
        $str = str_replace('_',' ', $str);
        $str = str_replace('/',', ', $str);
        $str = str_replace(', Dry','', $str);
        return $str;
}

function get_raw( $rawfile ) {
        $rawdata = implode('', file($rawfile));
        $rawdata = explode(' ', $rawdata);
        return $rawdata;
}

function ktsToMph ($kts, $prec) {
          $prec = (integer)$prec;
          $inch = (float)$kts * 0.514444444;
          return round($inch, 1);
}

function windDir ($winddir) {
  if (!isset($winddir)) { return "---"; }
$windlabel = array ("N","NNE", "NE", "ENE", "E", "ESE", "SE", "SSE", "S",
   "SSW","SW", "WSW", "W", "WNW", "NW", "NNW");
$dir = $windlabel[ (int) ($winddir / 22.5) ];
return "$dir";
}
?>